From: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Date: Mon, 28 Jun 2010 21:32:57 +0200
Subject: [PATCH] add JARs below /var to class loader

---
 conf/catalina.properties |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

--- a/conf/catalina.properties
+++ b/conf/catalina.properties
@@ -46,7 +46,7 @@
 #     "foo/*.jar": Add all the JARs of the specified folder as class
 #                  repositories
 #     "foo/bar.jar": Add bar.jar as a class repository
-common.loader=${catalina.base}/lib,${catalina.base}/lib/*.jar,${catalina.home}/lib,${catalina.home}/lib/*.jar
+common.loader=${catalina.base}/lib,${catalina.base}/lib/*.jar,${catalina.home}/lib,${catalina.home}/lib/*.jar,${catalina.home}/common/classes,${catalina.home}/common/*.jar
 
 #
 # List of comma-separated paths defining the contents of the "server"
@@ -59,7 +59,7 @@
 #     "foo/*.jar": Add all the JARs of the specified folder as class
 #                  repositories
 #     "foo/bar.jar": Add bar.jar as a class repository
-server.loader=
+server.loader=${catalina.home}/server/classes,${catalina.home}/server/*.jar
 
 #
 # List of comma-separated paths defining the contents of the "shared"
@@ -73,7 +73,7 @@
 #     "foo/bar.jar": Add bar.jar as a class repository
 # Please note that for single jars, e.g. bar.jar, you need the URL form
 # starting with file:.
-shared.loader=
+shared.loader=${catalina.home}/shared/classes,${catalina.home}/shared/*.jar
 
 # List of JAR files that should not be scanned using the JarScanner
 # functionality. This is typically used to scan JARs for configuration
